[Bug 374089] [NEW] Please sync yasr (0.6.9-1) from Debian unstable

Launchpad Bug Tracker 374089 at bugs.launchpad.net
Wed May 13 14:05:53 BST 2009


You have been subscribed to a public bug by James Westby (james-w):

Binary package hint: yasr

Please sync the package yasr (0.6.9-1) from Debian unstable, all Ubuntu changes are merged on Debian :
- The new upstream is available
- The homepage field is available on debian/control
- The patch to fix FTBFS if HAVE_PTY_H is defined is not the same that the one on Ubuntu, but it's work (It's build ok on a karmic pbuilder).

Last Debian changelog entries :
 yasr (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * ACK the previous NMU, thanks Ana!
  * Update Maintainer/Uploaders:
     - Set Debian Accessibility Team as Maintainer.
     - Set Mario and myself as Uploaders.
  * Switch to debhelper 7:
     - Bump debian/compat to 7.
     - B-D on debhelper >= 7.
     - Get rid of cdbs.
     - Introduce quilt as patch system.
     - Delete debian/yasr at aclocaldir@ directory in clean.
     - Pass --datadir=/etc to ./configure through dh_auto_configure.
  * Add a patch to fix openpty() and forkpty() declarations: in addition
    to disabling the embedded implementation of those functions, it is
    needed to disable the prototypes when HAVE_OPENPTY and HAVE_FORKPTY
    are set. Thanks to Peter Green for the patch (Closes: #518863):
     - 10_fix_openpty_forkpty_declarations
  * debian/copyright:
     - Add copyright notices.
  * debian/control:
     - Bump Standards-Version from 3.7.2 to 3.8.1 (no changes needed).
     - Add Homepage field.
     - Add Vcs-{Browser,Git} fields.
  * debian/docs:
     - Install more upstream documentation.
  * Add watch file.

 -- Cyril Brulebois <kibi at debian.org>  Sat, 25 Apr 2009 03:32:33 +0200


Last Ubuntu changelog entries:

yasr (0.6.8-0ubuntu2) jaunty; urgency=low

  * Don't define protoypes for openpty and forkpty if HAVE_PTY_H is defined,
    as they will be defined by /usr/include/pty.h instead. (LP: #317496)

 -- James Westby <james.westby at canonical.com>  Thu, 15 Jan 2009 14:22:39
+0000

yasr (0.6.8-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Added homepage field.
  * Set myself as maintainer.

 -- Luke Yelavich <themuso at ubuntu.com>  Wed, 21 Nov 2007 22:01:26 +1100

** Affects: yasr (Ubuntu)
     Importance: Wishlist
         Status: Confirmed

-- 
Please sync yasr (0.6.9-1) from Debian unstable
https://bugs.edge.launchpad.net/bugs/374089
You received this bug notification because you are a member of Ubuntu Package Archive Administrators, which is a direct subscriber.



More information about the ubuntu-archive mailing list